import { Injectable } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import { Response } from "@angular/http";

@Injectable()

export class HttpIntegrationService {

    private subject = new Subject<Response>();

    public OnError = this.subject.asObservable();

    constructor() { }

    public error(res: Response) {
        this.subject.next(res);
    }
}